import {html} from 'lit-html';
import { withKnobs, withWebComponentsKnobs } from '@open-wc/demoing-storybook';

import '../src';
import { FcTextHighlight } from '../src/FcTextHighlight';
import markdown from '../README.md';

import {markdownToStories} from '../../../lib/storybook-helpers';

export default {
  title: 'Display Components|TextHighlight',
  component: 'fc-text-highlight',
  excludeStories: ['noProperties'],
  stories: markdownToStories(FcTextHighlight, markdown),
  decorators: [withKnobs, withWebComponentsKnobs],
  parameters: { options: { selectedPanel: 'storybookjs/knobs/panel' } },
};
